commit:     c8c93a88962209b445a3eb2e685155afc1f490c6
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  1 16:30:49 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb  1 16:30:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8c93a88

dev-python/distlib: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/distlib/Manifest             |  1 +
 dev-python/distlib/distlib-0.2.2.ebuild | 53 +++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/distlib/Manifest b/dev-python/distlib/Manifest
index 179151b..d9c5b32 100644
--- a/dev-python/distlib/Manifest
+++ b/dev-python/distlib/Manifest
@@ -1 +1,2 @@
 DIST distlib-0.2.1.zip 542424 SHA256 
d91dc4a509ca50d1ba796ba1c4b23d5587f082d8a886856544546c88f4d9a685 SHA512 
f6453585650db242ad4a176bbd468cc6069ee0941b6ea23f24fc32000778097d8a100de82eaad7b3d8d998dc153d25f537505c7eefcc6f98f37995cfc9d5be77
 WHIRLPOOL 
86c2eb318c9df8233847b5ded3370d77ed71fab22067f4fa039531d5a3df2ede463e1688d920401a0870e4359f18f8d765230c72e71be1458e5db14de153ad8d
+DIST distlib-0.2.2.zip 544724 SHA256 
ddd173fc2ce7491c5dc92ac69b3cf2702e9885677b1d5f1c877a36f4dd5b9b6c SHA512 
399469376eebbedf288ebc04c0d551c75b3656d8aeb87bae02c7e2542e41018bd50ec28d76a99b293b10b941e0e7735841e5e13512acccc9fdb2af0044c970ee
 WHIRLPOOL 
fc9498233c31a33eb8c351c3af4ec75809c0484af302f8041cd7b3aeb28f90f4a9cbb9fab514bebda1ad127d4a1e89f8714ae771eb103277850aaa5cbb27be7f

diff --git a/dev-python/distlib/distlib-0.2.2.ebuild 
b/dev-python/distlib/distlib-0.2.2.ebuild
new file mode 100644
index 0000000..b5fbc3e
--- /dev/null
+++ b/dev-python/distlib/distlib-0.2.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3  )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Distribution utilities"
+HOMEPAGE="https://pypi.python.org/pypi/distlib 
https://bitbucket.org/vinay.sajip/distlib https://github.com/vsajip/distlib";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+PATCHES=(
+       "${FILESDIR}"/${P}-unbundle.patch
+       "${FILESDIR}"/${P}-online.patch
+)
+
+python_prepare_all() {
+       rm -r \
+               distlib/*.exe \
+               distlib/_backport \
+               tests/test_shutil.py* \
+               tests/test_sysconfig.py* || die
+
+       distutils-r1_python_prepare_all
+
+       # Broken tests
+       # 1 fails due to it being sensitive to dictionary ordering
+       # inconsistency between code and test
+       sed \
+               -e 's:test_dependency_finder:_&:g' \
+               -i tests/*py || die
+
+       # Gentoo still doesn't report correct ABI
+       sed \
+               -e 's:test_abi:_&:g' \
+               -i tests/*py || die
+}
+
+python_test() {
+       sed \
+               -e '/PIP_AVAILABLE/s:True:False:g' \
+               -i tests/*py || die
+       SKIP_ONLINE=True PYTHONHASHSEED=0 esetup.py test
+}

Reply via email to